# PhasicFlow: src/phasicFlow/Kokkos/KokkosUtilities.hpp File Reference

KokkosUtilities.hpp File Reference
Include dependency graph for KokkosUtilities.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Functions

template<typename ExecutionSpace >
INLINE_FUNCTION_H constexpr bool | isHostAccessible ()
template<typename ExecutionSpace , typename MemoerySpace >
INLINE_FUNCTION_H constexpr bool | areAccessible ()
template<typename Type , typename... Properties>
INLINE_FUNCTION_H void | realloc (ViewType1D< Type, Properties... > &view, int32 len)
template<typename Type , typename... Properties>
INLINE_FUNCTION_H void | reallocNoInit (ViewType1D< Type, Properties... > &view, int32 len)
template<typename Type , typename... Properties>
INLINE_FUNCTION_H void | reallocFill (ViewType1D< Type, Properties... > &view, int32 len, Type val)
template<typename Type , typename... Properties>
INLINE_FUNCTION_H void | realloc (ViewType3D< Type, Properties... > &view, int32 len1, int32 len2, int32 len3)
template<typename Type , typename... Properties>
INLINE_FUNCTION_H void | reallocNoInit (ViewType3D< Type, Properties... > &view, int32 len1, int32 len2, int32 len3)
template<typename Type , typename... Properties>
INLINE_FUNCTION_H void | reallocFill (ViewType3D< Type, Properties... > &view, int32 len1, int32 len2, int32 len3, Type val)
template<typename ViewType >
INLINE_FUNCTION_H void | swapViews (ViewType &v1, ViewType &v2)